> For the complete documentation index, see [llms.txt](https://documentation.dnanexus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.dnanexus.com/developer/api/oidc-clients.md).

# OIDC Clients

DNAnexus Open ID Connect (OIDC) clients are web-based applications that let end-users sign in using their DNAnexus Platform credentials. For details on how to set up OIDC for your web apps, see [Enabling Web Application Users to Log In with DNAnexus Credentials](/developer/apps/enabling-web-application-users-to-log-in-with-dnanexus-credentials.md#enabling-web-application-users-to-log-in-with-dnanexus-credentials).

## API Method Specifications

### API Method: `/oidcClient-xxxx/describe`

#### Specification

If the requesting user is the [registered author of a web app configured as an OIDC client](/developer/apps/enabling-web-application-users-to-log-in-with-dnanexus-credentials.md#step-1-register-your-app-with-dnanexus-and-get-a-client-id), this method returns detailed information about that OIDC client.

#### Outputs

The following fields are returned for all users.

* `clientId` **string** The client ID of the app that is configured as an OIDC client.
* `clientName` **string** The name of the app.

The following fields are returned only for logged-in users.

* `homepageUri` **string** The URL of the page used to access and use the app.
* `policyUri` **string** The URL of the app's privacy policy document.
* `tosUri` **string** The URL of the app's terms of service document.

### API Method: `/oidcClient-xxxx/resetClientSecret`

#### Specification

If the requesting user is the [registered author of a web app configured as an OIDC client](/developer/apps/enabling-web-application-users-to-log-in-with-dnanexus-credentials.md#step-1-register-your-app-with-dnanexus-and-get-a-client-id), a call to this method either initializes or resets the OIDC client's client secret.

#### Outputs

* `clientId` **string** The client ID of the app that is configured as an OIDC client.
* `clientSecret` **string** The generated client secret.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://documentation.dnanexus.com/developer/api/oidc-clients.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
